"""Ensure logging information in document domain does not require user

Revision ID: 43eac8a7a00b
Revises: 5d5437d81041
Create Date: 2024-09-03 09:36:06.541938

"""
from alembic import op
import sqlalchemy as sa
import pgvector


# revision identifiers, used by Alembic.
revision = '43eac8a7a00b'
down_revision = '5d5437d81041'
branch_labels = None
depends_on = None


def upgrade():
    # Manual upgrade commands
    op.execute('ALTER TABLE document ALTER COLUMN created_by DROP NOT NULL')


def downgrade():
    # Manual downgrade commands
    op.execute('ALTER TABLE document ALTER COLUMN created_by SET NOT NULL')
